FUNCTION NORMALIZEPOINT, RADWAVE, RADFLUX, WAVEARR, FLUXARR

if n_params() eq 0 then begin
    print, ' normalizepoint.pro'
    print, '    USAGE: scaler = normalizepoint(points_wavelength,points_flux,wavearray,fluxarray)'
    print, '    This computes the scaler needed to renormalize fluxarray to the point (points_wavelength,points_flux)'
    print, '         NOTE: flux arrays and points must be in a log scale.'
    print, ' cmc - july 2008'
    return, -1
endif

; find the bracketing wavelengths
tmp = min(abs(alog10(wavearr) -alog10(radwave)),imin)
iw1 = imin
tt = takeaway(fix(findgen(n_elements(wavearr))),[imin])
tmp2 = min(abs(alog10(wavearr[tt]) - alog10(radwave)),imin2)
iw2 = tt[imin2]
;print, wavearr[iw1], wavearr[iw2], radwave

;linearly interpolate the flux
slope = (fluxarr[iw2]-fluxarr[iw1])/(alog10(wavearr[iw2]) - alog10(wavearr[iw1]))
intflux = fluxarr[iw1] + slope*(alog10(radwave) - alog10(wavearr[iw1]))
;print, intflux, '  = intflux'
;print, radflux, '  = radflux'

;scaling factor is real flux over interpolated flux:
scaler = radflux - intflux
return, scaler

END
