FUNCTION LFIRTORADIO, logfir, REDSHIFT

if n_params() eq 0 then begin 
   print, " lfirtoradio.pro"
   print, "   usage: result = lfirtoradio(logfir, redshift)"
   print, "                logfir in log solar luminosities, assumed to be integrated 8-1000um"
   print, "                result is predicted 1.4GHz flux density in uJy assuming FIR/radio correlation with synchrotron slope=0.8 and qIR = 2.4"
   print, "      cmc - jan 2009"
   return, -1
endif

logradflux = logfir - alog10(4.*!pi) - 2.*alog10(lumdist(redshift,/cm,/silent,h0=71,lambda0=0.73)) - 14. - alog10(8.4) + 0.2*alog10(1.+redshift) +29. + alog10(3.8) + 33.

radioflux = 10^logradflux

return, radioflux

END
