FUNCTION RADIOTOLFIR, RADFLUX, REDSHIFT, lfirerr=lfirerr, raderr=raderr


if n_params() eq 0 then begin
   print, "lfir = radiotolfir(radflux, redshift, lfirerr=lfirerr, raderr=raderr)"
   print, "                    radflux in uJy, lfir in logLsun"
   return, 1
endif

;qir = 2.46 implies the constant is log(8.41)+20
alpha = (-0.75)
qir0 = 2.34
qirerr0 = 0.72

;gamma = 0. ;does not assume evolution
gamma = -0.15 ; assumes evolution

qir_ofz = qir0 * (1+redshift)^(gamma)

loglfir = qir_ofz - alog10(1.02) - 18. + 2.*alog10(lumdist(redshift,/cm,/silent,h0=71,lambda0=0.73)) - 32. - (alpha-1.)*alog10(1+redshift) + alog10(radflux)

;if keyword_set(raderr) then logfirerr = raderr/radflux
if keyword_set(raderr) then lfirerr = sqrt( (raderr/radflux)^2. + (qirerr0/qir0)^2. )


return, loglfir

END
